diff --git a/web/pgadmin/tools/sqleditor/static/js/sqleditor.js b/web/pgadmin/tools/sqleditor/static/js/sqleditor.js
index dbc416ec..40c975cb 100644
--- a/web/pgadmin/tools/sqleditor/static/js/sqleditor.js
+++ b/web/pgadmin/tools/sqleditor/static/js/sqleditor.js
@@ -2962,44 +3012,45 @@ define('tools.querytool', [
                 alertify.alert(gettext('Filter Exclude Selection Error'), msg);
               }, 10
             );
-          }
+          },
         });
       },
 
       // This function will remove the filter.
-      _remove_filter: function () {
+      _remove_filter: function() {
         var self = this;
 
         self.trigger(
           'pgadmin-sqleditor:loading-icon:show',
-          gettext("Removing the filter...")
+          gettext('Removing the filter...')
         );
 
         // Make ajax call to exclude the filter by selection.
         $.ajax({
-          url: url_for('sqleditor.remove_filter', {'trans_id': self.transId}),
+          url: url_for('sqleditor.remove_filter', {
+            'trans_id': self.transId,
+          }),
           method: 'POST',
-          success: function (res) {
+          success: function(res) {
             self.trigger('pgadmin-sqleditor:loading-icon:hide');
             setTimeout(
-              function () {
+              function() {
                 if (res.data.status) {
                   // Refresh the sql grid
                   queryToolActions.executeQuery(self);
-                }
-                else {
+                } else {
                   alertify.alert(gettext('Remove Filter Error'), res.data.result);
                 }
               }
             );
           },
-          error: function (e) {
+          error: function(e) {
             self.trigger('pgadmin-sqleditor:loading-icon:hide');
             setTimeout(
-              function () {
+              function() {
                 if (e.readyState == 0) {
                   alertify.alert(gettext('Remove Filter Error'),
-                    gettext("Not connected to the server or the connection to the server has been closed.")
+                    gettext('Not connected to the server or the connection to the server has been closed.')
                   );
                   return;
                 }
@@ -3012,49 +3063,50 @@ define('tools.querytool', [
                 alertify.alert(gettext('Remove Filter Error'), msg);
               }
             );
-          }
+          },
         });
       },
 
       // This function will apply the filter.
-      _apply_filter: function () {
+      _apply_filter: function() {
         var self = this,
           sql = self.gridView.filter_obj.getValue();
 
         self.trigger(
           'pgadmin-sqleditor:loading-icon:show',
-          gettext("Applying the filter...")
+          gettext('Applying the filter...')
         );
 
         // Make ajax call to include the filter by selection
         $.ajax({
-          url: url_for('sqleditor.apply_filter', {'trans_id': self.transId}),
+          url: url_for('sqleditor.apply_filter', {
+            'trans_id': self.transId,
+          }),
           method: 'POST',
-          contentType: "application/json",
+          contentType: 'application/json',
           data: JSON.stringify(sql),
-          success: function (res) {
+          success: function(res) {
             self.trigger('pgadmin-sqleditor:loading-icon:hide');
             setTimeout(
-              function () {
+              function() {
                 if (res.data.status) {
                   $('#filter').addClass('hidden');
                   $('#editor-panel').removeClass('sql-editor-busy-fetching');
                   // Refresh the sql grid
                   queryToolActions.executeQuery(self);
-                }
-                else {
+                } else {
                   alertify.alert(gettext('Apply Filter Error'), res.data.result);
                 }
               }, 10
             );
           },
-          error: function (e) {
+          error: function(e) {
             self.trigger('pgadmin-sqleditor:loading-icon:hide');
             setTimeout(
-              function () {
+              function() {
                 if (e.readyState == 0) {
                   alertify.alert(gettext('Apply Filter Error'),
-                    gettext("Not connected to the server or the connection to the server has been closed.")
+                    gettext('Not connected to the server or the connection to the server has been closed.')
                   );
                   return;
                 }
@@ -3067,7 +3119,7 @@ define('tools.querytool', [
                 alertify.alert(gettext('Apply Filter Error'), msg);
               }, 10
             );
-          }
+          },
         });
       },
 
@@ -3075,18 +3127,18 @@ define('tools.querytool', [
       _copy_row: copyData,
 
       // This function will paste the selected row.
-      _paste_row: function () {
-        var self = this, col_info = {},
+      _paste_row: function() {
+        var self = this,
           grid = self.slickgrid,
           dataView = grid.getData(),
           data = dataView.getItems(),
           count = dataView.getLength(),
           rows = grid.getSelectedRows().sort(
-            function (a, b) {
+            function(a, b) {
               return a - b;
             }
           ),
-          copied_rows = rows.map(function (rowIndex) {
+          copied_rows = rows.map(function(rowIndex) {
             return data[rowIndex];
           }),
           array_types = [];
@@ -3098,7 +3150,7 @@ define('tools.querytool', [
           }
         }
 
-        rows = rows.length == 0 ? self.last_copied_rows : rows
+        rows = rows.length == 0 ? self.last_copied_rows : rows;
 
         self.last_copied_rows = rows;
 
@@ -3106,14 +3158,12 @@ define('tools.querytool', [
         if (copied_rows.length > 0) {
           // Enable save button so that user can
           // save newly pasted rows on server
-          $("#btn-save").prop('disabled', false);
+          $('#btn-save').prop('disabled', false);
 
-          var arr_to_object = function (arr) {
-            var obj = {},
-              count = typeof(arr) == 'object' ?
-                Object.keys(arr).length : arr.length
+          var arr_to_object = function(arr) {
+            var obj = {};
 
-            _.each(arr, function (val, i) {
+            _.each(arr, function(val, i) {
               if (arr[i] !== undefined) {
                 // Do not stringify array types.
                 if (_.isObject(arr[i]) && array_types.indexOf(i) == -1) {
@@ -3135,14 +3185,17 @@ define('tools.querytool', [
           // Reset selection
 
           dataView.beginUpdate();
-          _.each(copied_rows, function (row) {
+          _.each(copied_rows, function(row) {
             var new_row = arr_to_object(row),
               _key = (self.gridView.client_primary_key_counter++).toString();
             new_row.is_row_copied = true;
             self.temp_new_rows.push(count);
             new_row[self.client_primary_key] = _key;
             dataView.addItem(new_row);
-            self.data_store.added[_key] = {'err': false, 'data': new_row};
+            self.data_store.added[_key] = {
+              'err': false,
+              'data': new_row,
+            };
             self.data_store.added_index[count] = _key;
             count++;
           });
@@ -3155,40 +3208,41 @@ define('tools.querytool', [
       },
 
       // This function will set the limit for SQL query
-      _set_limit: function () {
+      _set_limit: function() {
         var self = this,
-          limit = parseInt($(".limit").val());
+          limit = parseInt($('.limit').val());
 
         self.trigger(
           'pgadmin-sqleditor:loading-icon:show',
-          gettext("Setting the limit on the result...")
+          gettext('Setting the limit on the result...')
         );
         // Make ajax call to change the limit
         $.ajax({
-          url: url_for('sqleditor.set_limit', {'trans_id': self.transId}),
+          url: url_for('sqleditor.set_limit', {
+            'trans_id': self.transId,
+          }),
           method: 'POST',
-          contentType: "application/json",
+          contentType: 'application/json',
           data: JSON.stringify(limit),
-          success: function (res) {
+          success: function(res) {
             self.trigger('pgadmin-sqleditor:loading-icon:hide');
             setTimeout(
-              function () {
+              function() {
                 if (res.data.status) {
                   // Refresh the sql grid
                   queryToolActions.executeQuery(self);
-                }
-                else
+                } else
                   alertify.alert(gettext('Change limit Error'), res.data.result);
               }, 10
             );
           },
-          error: function (e) {
+          error: function(e) {
             self.trigger('pgadmin-sqleditor:loading-icon:hide');
             setTimeout(
-              function () {
+              function() {
                 if (e.readyState == 0) {
                   alertify.alert(gettext('Change limit Error'),
-                    gettext("Not connected to the server or the connection to the server has been closed.")
+                    gettext('Not connected to the server or the connection to the server has been closed.')
                   );
                   return;
                 }
@@ -3201,25 +3255,24 @@ define('tools.querytool', [
                 alertify.alert(gettext('Change limit Error'), msg);
               }, 10
             );
-          }
+          },
         });
       },
 
       // This function is used to enable/disable buttons
-      disable_tool_buttons: function (disabled) {
-        $("#btn-clear").prop('disabled', disabled);
-        $("#btn-query-dropdown").prop('disabled', disabled);
-        $("#btn-edit-dropdown").prop('disabled', disabled);
-        $("#btn-edit").prop('disabled', disabled);
+      disable_tool_buttons: function(disabled) {
+        $('#btn-clear').prop('disabled', disabled);
+        $('#btn-query-dropdown').prop('disabled', disabled);
+        $('#btn-edit-dropdown').prop('disabled', disabled);
+        $('#btn-edit').prop('disabled', disabled);
         $('#btn-load-file').prop('disabled', disabled);
       },
 
       // This function will fetch the sql query from the text box
       // and execute the query.
-      execute: function (explain_prefix) {
+      execute: function(explain_prefix) {
         var self = this,
-          sql = '',
-          history_msg = '';
+          sql = '';
 
         self.has_more_rows = false;
         self.fetching_rows = false;
@@ -3238,13 +3291,13 @@ define('tools.querytool', [
 
         self.trigger(
           'pgadmin-sqleditor:loading-icon:show',
-          gettext("Initializing query execution...")
+          gettext('Initializing query execution...')
         );
 
-        $("#btn-flash").prop('disabled', true);
+        $('#btn-flash').prop('disabled', true);
 
         if (explain_prefix != undefined &&
-          !S.startsWith(sql.trim().toUpperCase(), "EXPLAIN")) {
+          !S.startsWith(sql.trim().toUpperCase(), 'EXPLAIN')) {
           sql = explain_prefix + ' ' + sql;
         }
 
@@ -3253,14 +3306,16 @@ define('tools.querytool', [
         self.rows_affected = 0;
         self._init_polling_flags();
         self.disable_tool_buttons(true);
-        $("#btn-cancel-query").prop('disabled', false);
+        $('#btn-cancel-query').prop('disabled', false);
 
         $.ajax({
-          url: url_for('sqleditor.query_tool_start', {'trans_id': self.transId}),
+          url: url_for('sqleditor.query_tool_start', {
+            'trans_id': self.transId,
+          }),
           method: 'POST',
-          contentType: "application/json",
+          contentType: 'application/json',
           data: JSON.stringify(sql),
-          success: function (res) {
+          success: function(res) {
             // Remove marker
             if (self.gridView.marker) {
               self.gridView.marker.clear();
@@ -3274,7 +3329,7 @@ define('tools.querytool', [
             if (res.data.status) {
               self.trigger(
                 'pgadmin-sqleditor:loading-icon:message',
-                gettext("Waiting for the query execution to complete...")
+                gettext('Waiting for the query execution to complete...')
               );
 
               self.can_edit = res.data.can_edit;
@@ -3283,25 +3338,24 @@ define('tools.querytool', [
 
               // If status is True then poll the result.
               self._poll();
-            }
-            else {
+            } else {
               self.trigger('pgadmin-sqleditor:loading-icon:hide');
               self.disable_tool_buttons(false);
-              $("#btn-cancel-query").prop('disabled', true);
+              $('#btn-cancel-query').prop('disabled', true);
               self.update_msg_history(false, res.data.result);
 
               // Highlight the error in the sql panel
               self._highlight_error(res.data.result);
             }
           },
-          error: function (e) {
+          error: function(e) {
             self.trigger('pgadmin-sqleditor:loading-icon:hide');
             self.disable_tool_buttons(false);
-            $("#btn-cancel-query").prop('disabled', true);
+            $('#btn-cancel-query').prop('disabled', true);
 
             if (e.readyState == 0) {
               self.update_msg_history(false,
-                gettext("Not connected to the server or the connection to the server has been closed.")
+                gettext('Not connected to the server or the connection to the server has been closed.')
               );
               return;
             }
@@ -3312,14 +3366,14 @@ define('tools.querytool', [
               msg = e.responseJSON.errormsg;
 
             self.update_msg_history(false, msg);
-          }
+          },
         });
       },
 
       /* This function is used to highlight the error line and
        * underlining for the error word.
        */
-      _highlight_error: function (result) {
+      _highlight_error: function(result) {
         var self = this,
           error_line_no = 0,
           start_marker = 0,
@@ -3366,40 +3420,45 @@ define('tools.querytool', [
             end_marker = error_line.length;
 
           // Mark the error text
-          self.gridView.marker = self.gridView.query_tool_obj.markText(
-            {line: error_line_no, ch: start_marker},
-            {line: error_line_no, ch: end_marker},
-            {className: "sql-editor-mark"}
-          );
+          self.gridView.marker = self.gridView.query_tool_obj.markText({
+            line: error_line_no,
+            ch: start_marker,
+          }, {
+            line: error_line_no,
+            ch: end_marker,
+          }, {
+            className: 'sql-editor-mark',
+          });
 
           self.gridView.query_tool_obj.addLineClass(self.marked_line_no, 'wrap', 'CodeMirror-activeline-background');
         }
       },
 
       // This function will cancel the running query.
-      _cancel_query: function () {
+      _cancel_query: function() {
         var self = this;
 
-        $("#btn-cancel-query").prop('disabled', true);
+        $('#btn-cancel-query').prop('disabled', true);
         $.ajax({
-          url: url_for('sqleditor.cancel_transaction', {'trans_id': self.transId}),
+          url: url_for('sqleditor.cancel_transaction', {
+            'trans_id': self.transId,
+          }),
           method: 'POST',
-          contentType: "application/json",
-          success: function (res) {
+          contentType: 'application/json',
+          success: function(res) {
             if (res.data.status) {
               self.disable_tool_buttons(false);
-            }
-            else {
+            } else {
               self.disable_tool_buttons(false);
               alertify.alert(gettext('Cancel Query Error'), res.data.result);
             }
           },
-          error: function (e) {
+          error: function(e) {
             self.disable_tool_buttons(false);
 
             if (e.readyState == 0) {
               alertify.alert(gettext('Cancel Query Error'),
-                gettext("Not connected to the server or the connection to the server has been closed.")
+                gettext('Not connected to the server or the connection to the server has been closed.')
               );
               return;
             }
@@ -3410,21 +3469,26 @@ define('tools.querytool', [
               msg = e.responseJSON.errormsg;
 
             alertify.alert(gettext('Cancel Query Error'), msg);
-          }
+          },
         });
       },
 
       // Trigger query result download to csv.
-      trigger_csv_download: function (query, filename) {
+      trigger_csv_download: function(query, filename) {
         var self = this,
-          link = $(this.container).find("#download-csv"),
-          url = url_for('sqleditor.query_tool_download', {'trans_id': self.transId});
+          link = $(this.container).find('#download-csv'),
+          url = url_for('sqleditor.query_tool_download', {
+            'trans_id': self.transId,
+          });
 
-        url += "?" + $.param({query: query, filename: filename});
-        link.attr("src", url);
+        url += '?' + $.param({
+          query: query,
+          filename: filename,
+        });
+        link.attr('src', url);
       },
 
-      _auto_rollback: function () {
+      _auto_rollback: function() {
         var self = this,
           auto_rollback = true;
 
@@ -3437,18 +3501,20 @@ define('tools.querytool', [
 
         // Make ajax call to change the limit
         $.ajax({
-          url: url_for('sqleditor.auto_rollback', {'trans_id': self.transId}),
+          url: url_for('sqleditor.auto_rollback', {
+            'trans_id': self.transId,
+          }),
           method: 'POST',
-          contentType: "application/json",
+          contentType: 'application/json',
           data: JSON.stringify(auto_rollback),
-          success: function (res) {
+          success: function(res) {
             if (!res.data.status)
               alertify.alert(gettext('Auto Rollback Error'), res.data.result);
           },
-          error: function (e) {
+          error: function(e) {
             if (e.readyState == 0) {
               alertify.alert(gettext('Auto Rollback Error'),
-                gettext("Not connected to the server or the connection to the server has been closed.")
+                gettext('Not connected to the server or the connection to the server has been closed.')
               );
               return;
             }
@@ -3459,11 +3525,11 @@ define('tools.querytool', [
               msg = e.responseJSON.errormsg;
 
             alertify.alert(gettext('Auto Rollback Error'), msg);
-          }
+          },
         });
       },
 
-      _auto_commit: function () {
+      _auto_commit: function() {
         var self = this,
           auto_commit = true;
 
@@ -3476,18 +3542,20 @@ define('tools.querytool', [
 
         // Make ajax call to change the limit
         $.ajax({
-          url: url_for('sqleditor.auto_commit', {'trans_id': self.transId}),
+          url: url_for('sqleditor.auto_commit', {
+            'trans_id': self.transId,
+          }),
           method: 'POST',
-          contentType: "application/json",
+          contentType: 'application/json',
           data: JSON.stringify(auto_commit),
-          success: function (res) {
+          success: function(res) {
             if (!res.data.status)
               alertify.alert(gettext('Auto Commit Error'), res.data.result);
           },
-          error: function (e) {
+          error: function(e) {
             if (e.readyState == 0) {
               alertify.alert(gettext('Auto Commit Error'),
-                gettext("Not connected to the server or the connection to the server has been closed.")
+                gettext('Not connected to the server or the connection to the server has been closed.')
               );
               return;
             }
@@ -3498,175 +3566,181 @@ define('tools.querytool', [
               msg = e.responseJSON.errormsg;
 
             alertify.alert(gettext('Auto Commit Error'), msg);
-          }
+          },
         });
       },
 
       // This function will toggle "verbose" option in explain
-      _explain_verbose: function () {
+      _explain_verbose: function() {
         var self = this;
         if ($('.explain-verbose').hasClass('visibility-hidden') === true) {
           $('.explain-verbose').removeClass('visibility-hidden');
           self.explain_verbose = true;
-        }
-        else {
+        } else {
           $('.explain-verbose').addClass('visibility-hidden');
           self.explain_verbose = false;
         }
 
         // Set this option in preferences
         var data = {
-          'explain_verbose': self.explain_verbose
+          'explain_verbose': self.explain_verbose,
         };
 
         $.ajax({
-          url: url_for('sqleditor.query_tool_preferences', {'trans_id': self.transId}),
+          url: url_for('sqleditor.query_tool_preferences', {
+            'trans_id': self.transId,
+          }),
           method: 'PUT',
-          contentType: "application/json",
+          contentType: 'application/json',
           data: JSON.stringify(data),
-          success: function (res) {
+          success: function(res) {
             if (res.success == undefined || !res.success) {
               alertify.alert(gettext('Explain options error'),
-                gettext("Error occurred while setting verbose option in explain.")
+                gettext('Error occurred while setting verbose option in explain.')
               );
             }
           },
-          error: function (e) {
+          error: function() {
             alertify.alert(gettext('Explain options error'),
-              gettext("Error occurred while setting verbose option in explain.")
+              gettext('Error occurred while setting verbose option in explain.')
             );
             return;
-          }
+          },
         });
       },
 
       // This function will toggle "costs" option in explain
-      _explain_costs: function () {
+      _explain_costs: function() {
         var self = this;
         if ($('.explain-costs').hasClass('visibility-hidden') === true) {
           $('.explain-costs').removeClass('visibility-hidden');
           self.explain_costs = true;
-        }
-        else {
+        } else {
           $('.explain-costs').addClass('visibility-hidden');
           self.explain_costs = false;
         }
 
         // Set this option in preferences
         var data = {
-          'explain_costs': self.explain_costs
+          'explain_costs': self.explain_costs,
         };
 
         $.ajax({
-          url: url_for('sqleditor.query_tool_preferences', {'trans_id': self.transId}),
+          url: url_for('sqleditor.query_tool_preferences', {
+            'trans_id': self.transId,
+          }),
           method: 'PUT',
-          contentType: "application/json",
+          contentType: 'application/json',
           data: JSON.stringify(data),
-          success: function (res) {
+          success: function(res) {
             if (res.success == undefined || !res.success) {
               alertify.alert(gettext('Explain options error'),
-                gettext("Error occurred while setting costs option in explain.")
+                gettext('Error occurred while setting costs option in explain.')
               );
             }
           },
-          error: function (e) {
+          error: function() {
             alertify.alert(gettext('Explain options error'),
-              gettext("Error occurred while setting costs option in explain.")
+              gettext('Error occurred while setting costs option in explain.')
             );
-          }
+          },
         });
       },
 
       // This function will toggle "buffers" option in explain
-      _explain_buffers: function () {
+      _explain_buffers: function() {
         var self = this;
         if ($('.explain-buffers').hasClass('visibility-hidden') === true) {
           $('.explain-buffers').removeClass('visibility-hidden');
           self.explain_buffers = true;
-        }
-        else {
+        } else {
           $('.explain-buffers').addClass('visibility-hidden');
           self.explain_buffers = false;
         }
 
         // Set this option in preferences
         var data = {
-          'explain_buffers': self.explain_buffers
+          'explain_buffers': self.explain_buffers,
         };
 
         $.ajax({
-          url: url_for('sqleditor.query_tool_preferences', {'trans_id': self.transId}),
+          url: url_for('sqleditor.query_tool_preferences', {
+            'trans_id': self.transId,
+          }),
           method: 'PUT',
-          contentType: "application/json",
+          contentType: 'application/json',
           data: JSON.stringify(data),
-          success: function (res) {
+          success: function(res) {
             if (res.success == undefined || !res.success) {
               alertify.alert(gettext('Explain options error'),
-                gettext("Error occurred while setting buffers option in explain.")
+                gettext('Error occurred while setting buffers option in explain.')
               );
             }
           },
-          error: function (e) {
+          error: function() {
             alertify.alert(gettext('Explain options error'),
-              gettext("Error occurred while setting buffers option in explain.")
+              gettext('Error occurred while setting buffers option in explain.')
             );
-          }
+          },
         });
       },
 
       // This function will toggle "timing" option in explain
-      _explain_timing: function () {
+      _explain_timing: function() {
         var self = this;
         if ($('.explain-timing').hasClass('visibility-hidden') === true) {
           $('.explain-timing').removeClass('visibility-hidden');
           self.explain_timing = true;
-        }
-        else {
+        } else {
           $('.explain-timing').addClass('visibility-hidden');
           self.explain_timing = false;
         }
         // Set this option in preferences
         var data = {
-          'explain_timing': self.explain_timing
+          'explain_timing': self.explain_timing,
         };
 
         $.ajax({
-          url: url_for('sqleditor.query_tool_preferences', {'trans_id': self.transId}),
+          url: url_for('sqleditor.query_tool_preferences', {
+            'trans_id': self.transId,
+          }),
           method: 'PUT',
-          contentType: "application/json",
+          contentType: 'application/json',
           data: JSON.stringify(data),
-          success: function (res) {
+          success: function(res) {
             if (res.success == undefined || !res.success) {
               alertify.alert(gettext('Explain options error'),
-                gettext("Error occurred while setting timing option in explain.")
+                gettext('Error occurred while setting timing option in explain.')
               );
             }
           },
-          error: function (e) {
+          error: function() {
             alertify.alert(gettext('Explain options error'),
-              gettext("Error occurred while setting timing option in explain.")
+              gettext('Error occurred while setting timing option in explain.')
             );
-          }
+          },
         });
       },
 
       /*
        * This function will indent selected code
        */
-      _indent_selected_code: function () {
-        var self = this, editor = self.gridView.query_tool_obj;
-        editor.execCommand("indentMore");
+      _indent_selected_code: function() {
+        var self = this,
+          editor = self.gridView.query_tool_obj;
+        editor.execCommand('indentMore');
       },
 
       /*
        * This function will unindent selected code
        */
-      _unindent_selected_code: function () {
-        var self = this, editor = self.gridView.query_tool_obj;
-        editor.execCommand("indentLess");
+      _unindent_selected_code: function() {
+        var self = this,
+          editor = self.gridView.query_tool_obj;
+        editor.execCommand('indentLess');
       },
 
-      isQueryRunning: function () {
+      isQueryRunning: function() {
         return is_query_running;
       },
 
@@ -3674,7 +3748,7 @@ define('tools.querytool', [
        * This function get explain options and auto rollback/auto commit
        * values from preferences
        */
-      get_preferences: function () {
+      get_preferences: function() {
         var self = this,
           explain_verbose = false,
           explain_costs = false,
@@ -3682,7 +3756,7 @@ define('tools.querytool', [
           explain_timing = false,
           auto_commit = true,
           auto_rollback = false,
-          updateUI = function () {
+          updateUI = function() {
             // Set Auto-commit and auto-rollback on query editor
             if (auto_commit &&
               $('.auto-commit').hasClass('visibility-hidden') === true)
@@ -3725,9 +3799,11 @@ define('tools.querytool', [
           };
 
         $.ajax({
-          url: url_for('sqleditor.query_tool_preferences', {'trans_id': self.transId}),
+          url: url_for('sqleditor.query_tool_preferences', {
+            'trans_id': self.transId,
+          }),
           method: 'GET',
-          success: function (res) {
+          success: function(res) {
             if (res.data) {
               explain_verbose = res.data.explain_verbose;
               explain_costs = res.data.explain_costs;
@@ -3738,17 +3814,18 @@ define('tools.querytool', [
               updateUI();
             }
           },
-          error: function (e) {
+          error: function() {
             updateUI();
-            alertify.alert(gettext('Get Preferences error'),
-              gettext("Error occurred while getting query tool options.")
+            alertify.alert(
+              gettext('Get Preferences error'),
+              gettext('Error occurred while getting query tool options.')
             );
-          }
+          },
         });
       },
-      close: function () {
+      close: function() {
         var self = this;
-        _.each(window.top.pgAdmin.Browser.docker.findPanels('frm_datagrid'), function (panel) {
+        _.each(window.top.pgAdmin.Browser.docker.findPanels('frm_datagrid'), function(panel) {
           if (panel.isVisible()) {
             window.onbeforeunload = null;
             panel.off(wcDocker.EVENT.CLOSING);
@@ -3759,17 +3836,16 @@ define('tools.querytool', [
             window.top.pgAdmin.Browser.docker.removePanel(panel);
           }
         });
-      }
-    }
-  );
+      },
+    });
 
   pgAdmin.SqlEditor = {
     // This function is used to create and return the object of grid controller.
-    create: function (container) {
+    create: function(container) {
       return new SqlEditorController(container);
     },
     jquery: $,
-    S: S
+    S: S,
   };
 
   return pgAdmin.SqlEditor;
